## PDS Event Report PDS Event Report |

## Functions

QmiIndicationPdsEventReportOutput * | qmi_indication_pds_event_report_output_ref ()
void | qmi_indication_pds_event_report_output_unref ()
gboolean | qmi_indication_pds_event_report_output_get_position_session_status ()
gboolean | qmi_indication_pds_event_report_output_get_extended_nmea_position ()
gboolean | qmi_indication_pds_event_report_output_get_nmea_position ()

## Types and Values

| QmiIndicationPdsEventReportOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdsEventReportOutput

## Description

## Functions

### qmi_indication_pds_event_report_output_ref ()

    QmiIndicationPdsEventReportOutput *
    qmi_indication_pds_event_report_output_ref
                                   (QmiIndicationPdsEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdsEventReportOutput. |

#### Returns

the new reference to `self` .

### qmi_indication_pds_event_report_output_unref ()

    void
    qmi_indication_pds_event_report_output_unref
                                   (QmiIndicationPdsEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdsEventReportOutput. |

### qmi_indication_pds_event_report_output_get_position_session_status ()

    gboolean
    qmi_indication_pds_event_report_output_get_position_session_status
                                   (QmiIndicationPdsEventReportOutput *self,
                                    QmiPdsPositionSessionStatus *position_session_status,
                                    GError **error);

Get the 'Position Session Status' field from `self` .

#### Parameters

self | a QmiIndicationPdsEventReportOutput. |
position_session_status | a placeholder for the output QmiPdsPositionSessionStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_pds_event_report_output_get_extended_nmea_position ()

    gboolean
    qmi_indication_pds_event_report_output_get_extended_nmea_position
                                   (QmiIndicationPdsEventReportOutput *self,
                                    QmiPdsOperationMode *extended_nmea_position_operation_mode,
                                    const gchar **extended_nmea_position_nmea,
                                    GError **error);

Get the 'Extended NMEA Position' field from `self` .

#### Parameters

self | a QmiIndicationPdsEventReportOutput. |
extended_nmea_position_operation_mode | a placeholder for the output QmiPdsOperationMode, or `NULL` if not required. |
extended_nmea_position_nmea | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_pds_event_report_output_get_nmea_position ()

    gboolean
    qmi_indication_pds_event_report_output_get_nmea_position
                                   (QmiIndicationPdsEventReportOutput *self,
                                    const gchar **nmea_position,
                                    GError **error);

Get the 'NMEA Position' field from `self` .

#### Parameters

self | a QmiIndicationPdsEventReportOutput. |
nmea_position | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

## Types and Values

### QmiIndicationPdsEventReportOutput

    typedef struct _QmiIndicationPdsEventReportOutput QmiIndicationPdsEventReportOutput;

The QmiIndicationPdsEventReportOutput structure contains private data and should only be accessed using the provided API.